<?xml version="1.0" encoding="UTF-8"?>
<system xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="description.xsd">

<per-triangle-shape name="VirtualGround">
		<margin>1</margin>
		<prenetration>4</prenetration>
		<tag>ground</tag>
	</per-triangle-shape>
	
	<!-- body -->
	<bone-default>
		<margin-multiplier>0.3</margin-multiplier>
		<!-- <restitution>0.3</restitution> -->
	</bone-default>
	

	<bone name="NPC L Thigh [LThg]"/>
	<bone name="NPC R Thigh [RThg]"/>
	<bone name="NPC L Calf [LClf]"/>
	<bone name="NPC R Calf [RClf]"/>
	<bone name="NPC Spine [Spn0]"/>
	<bone name="NPC Spine2 [Spn2]"/>
	<bone name="NPC Spine1 [Spn1]"/>
	<bone name="NPC Pelvis [Pelv]"/>
	
	
	
	<bone name="NPC Head [Head]"/>
	<bone name="NPC L Clavicle [LClv]"/>
	<bone name="NPC R Clavicle [RClv]"/>
	<bone name="NPC L Breast"/>
	<bone name="NPC R Breast"/>
	<bone name="NPC L Breast01"/>
	<bone name="NPC R Breast01"/>
	<bone name="NPC L Forearm [LLar]"/>
	<bone name="NPC R Forearm [RLar]"/>
	<bone name="NPC L ForearmTwist1 [LLt1]"/>
	<bone name="NPC R ForearmTwist1 [RLt1]"/>
	<bone name="NPC L ForearmTwist2 [LLt2]"/>
	<bone name="NPC R ForearmTwist2 [RLt2]"/>
	<bone name="NPC L UpperArm [LUar]"/>
	<bone name="NPC R UpperArm [RUar]"/>
	<bone name="NPC L UpperarmTwist1 [LUt1]"/>
	<bone name="NPC R UpperarmTwist1 [RUt1]"/>
	<bone name="NPC L UpperarmTwist2 [LUt2]"/>
	<bone name="NPC R UpperarmTwist2 [RUt2]"/>
	<bone name="NPC L Butt"/>
	<bone name="NPC R Butt"/>
	<bone name="NPC L Pussy02"/>
	<bone name="NPC R Pussy02"/>
	<bone name="NPC Belly"/>
	<bone name="NPC L Hand [LHnd]"/>
	<bone name="NPC R Hand [RHnd]"/>

     <per-triangle-shape name="UUNPVagina">
		<margin>0.7</margin>
		<priority>100</priority>
		<prenetration>0.5</prenetration>
		<shared>private</shared>
		<tag>e1</tag>
		<no-collide-with-tag>body</no-collide-with-tag>
		<no-collide-with-tag>body1</no-collide-with-tag>
		<can-collide-with-tag>e3</can-collide-with-tag>
		<can-collide-with-tag>e4</can-collide-with-tag>
		<no-collide-with-tag>ground</no-collide-with-tag>
		<weight-threshold bone="NPC L Clavicle [LClv]">1</weight-threshold>
		<weight-threshold bone="NPC R Clavicle [RClv]">1</weight-threshold>
		<weight-threshold bone="NPC L Forearm [LLar]">1</weight-threshold>
		<weight-threshold bone="NPC R Forearm [RLar]">1</weight-threshold>
		<weight-threshold bone="NPC L ForearmTwist1 [LLt1]">1</weight-threshold>
		<weight-threshold bone="NPC R ForearmTwist1 [RLt1]">1</weight-threshold>
		<weight-threshold bone="NPC L ForearmTwist2 [LLt2]">1</weight-threshold>
		<weight-threshold bone="NPC R ForearmTwist2 [RLt2]">1</weight-threshold>
		<weight-threshold bone="NPC L Hand [LHnd]">1</weight-threshold>
		<weight-threshold bone="NPC R Hand [RHnd]">1</weight-threshold>
		<weight-threshold bone="NPC L Foot [Lft ]">1</weight-threshold>
		<weight-threshold bone="NPC R Foot [Rft ]">1</weight-threshold>
		<weight-threshold bone="NPC L UpperArm [LUar]">1</weight-threshold>
		<weight-threshold bone="NPC R UpperArm [RUar]">1</weight-threshold>
		<weight-threshold bone="NPC L UpperarmTwist1 [LUt1]">1</weight-threshold>
		<weight-threshold bone="NPC R UpperarmTwist1 [RUt1]">1</weight-threshold>
		<weight-threshold bone="NPC L UpperarmTwist2 [LUt2]">1</weight-threshold>
		<weight-threshold bone="NPC R UpperarmTwist2 [RUt2]">1</weight-threshold>
		<weight-threshold bone="NPC L Breast">1</weight-threshold>
		<weight-threshold bone="NPC R Breast">1</weight-threshold>
		<weight-threshold bone="NPC L Breast01">1</weight-threshold>
		<weight-threshold bone="NPC R Breast01">1</weight-threshold>
		<weight-threshold bone="NPC Spine [Spn0]">0.3</weight-threshold>
		<weight-threshold bone="NPC Spine2 [Spn2]">1</weight-threshold>
		<weight-threshold bone="NPC Spine1 [Spn1]">0.3</weight-threshold>
		<weight-threshold bone="NPC Belly">0.3</weight-threshold>
		<weight-threshold bone="NPC Pelvis [Pelv]">0.3</weight-threshold>
		<weight-threshold bone="NPC L Pussy02">1</weight-threshold>
		<weight-threshold bone="NPC R Pussy02">1</weight-threshold>
		<weight-threshold bone="NPC R Butt">0.3</weight-threshold>
		<weight-threshold bone="NPC R Butt">0.3</weight-threshold>
		<weight-threshold bone="NPC L Thigh [LThg]">0.3</weight-threshold>
		<weight-threshold bone="NPC R Thigh [RThg]">0.3</weight-threshold>
		<weight-threshold bone="NPC L Calf [LClf]">0.3</weight-threshold>
		<weight-threshold bone="NPC R Calf [RClf]">0.3</weight-threshold>
		
	</per-triangle-shape>
	
	 <per-triangle-shape name="feet">
		<margin>0.7</margin>
		<priority>100</priority>
		<prenetration>1</prenetration>
		<shared>private</shared>
		<tag>e2</tag>
		<no-collide-with-tag>body</no-collide-with-tag>
		<no-collide-with-tag>body1</no-collide-with-tag>
		<can-collide-with-tag>e3</can-collide-with-tag>
		<can-collide-with-tag>e4</can-collide-with-tag>
		<no-collide-with-tag>ground</no-collide-with-tag>
		
		<weight-threshold bone="NPC L Foot [Lft ]">0.3</weight-threshold>
		<weight-threshold bone="NPC R Foot [Rft ]">0.3</weight-threshold>
	
		<weight-threshold bone="NPC L Calf [LClf]">0.3</weight-threshold>
		<weight-threshold bone="NPC R Calf [RClf]">0.3</weight-threshold>
		
	</per-triangle-shape>
	
	<bone-default>
		<margin-multiplier>0.01</margin-multiplier>
	</bone-default>
	
	<bone name="Bone001"/>
	<bone name="Bone011"/>
	<bone name="Bone021"/>
	<bone name="Bone031"/>
	<bone name="Bone041"/>
	<bone name="Bone051"/>
	<bone name="Bone061"/>
	<bone name="Bone070"/>
	<bone name="Bone079"/>
	<bone name="Bone089"/>
	
	<bone-default>
		<mass>0.1</mass>
		<inertia x="17" y="17" z="17" />
		<centerOfMassTransform>
			<basis x="0" y="0" z="0" w="1" />
			<origin x="0" y="0" z="0" />
		</centerOfMassTransform>
		<linearDamping>0.75</linearDamping>
		<angularDamping>0.75</angularDamping>
		<friction>0.1</friction>
		<restitution>1</restitution>
	</bone-default>
	
	<bone-default>
		<margin-multiplier>0.2</margin-multiplier>
	</bone-default>
	
	<bone name="Bone002"/>
	<bone name="Bone012"/>
	<bone name="Bone022"/>
	
	<bone name="Bone032"/>
	<bone name="Bone042"/>
	<bone name="Bone052"/>
	
	<bone-default>
		<margin-multiplier>0.4</margin-multiplier>
	</bone-default>
	
	<bone name="Bone003"/>
	<bone name="Bone013"/>
	<bone name="Bone023"/>
	
	<bone name="Bone033"/>
	<bone name="Bone043"/>
	<bone name="Bone053"/>
	
	<bone-default>
		<margin-multiplier>0.6</margin-multiplier>
	</bone-default>
	
	<bone name="Bone004"/>
	<bone name="Bone014"/>
	<bone name="Bone024"/>
	
	<bone name="Bone034"/>
	<bone name="Bone044"/>
	<bone name="Bone054"/>
	
	<bone-default>
		<margin-multiplier>0.8</margin-multiplier>
	</bone-default>
	
	<bone name="Bone005"/>
	<bone name="Bone015"/>
	<bone name="Bone025"/>
	
	<bone name="Bone035"/>
	<bone name="Bone045"/>
	<bone name="Bone055"/>
	
	<bone-default>
		<margin-multiplier>1.1</margin-multiplier>
	</bone-default>
	
	<bone name="Bone006"/>
	<bone name="Bone016"/>
	<bone name="Bone026"/>
	
	<bone name="Bone036"/>
	<bone name="Bone046"/>
	<bone name="Bone056"/>
	
	<bone-default>
		<margin-multiplier>1.3</margin-multiplier>
	</bone-default>
	
	<bone name="Bone007"/>
	<bone name="Bone017"/>
	<bone name="Bone027"/>

	<bone name="Bone037"/>
	<bone name="Bone047"/>
	<bone name="Bone057"/>
	
	<bone-default>
		<margin-multiplier>1.5</margin-multiplier>
	</bone-default>
	
	<bone name="Bone008"/>
	<bone name="Bone018"/>
	<bone name="Bone028"/>
	
	<bone name="Bone038"/>
	<bone name="Bone048"/>
	<bone name="Bone058"/>
	
	<bone-default>
		<margin-multiplier>1.8</margin-multiplier>
	</bone-default>
	
	<bone name="Bone009"/>
	<bone name="Bone019"/>
	<bone name="Bone029"/>
	
	<bone name="Bone039"/>
	<bone name="Bone049"/>
	<bone name="Bone059"/>
	
	<bone-default>
		<margin-multiplier>1.8</margin-multiplier>
	</bone-default>
	
	<bone name="Bone010"/>
	<bone name="Bone020"/>
	<bone name="Bone030"/>
	
	<bone name="Bone040"/>
	<bone name="Bone050"/>
	<bone name="Bone060"/>

--------------下方侧摆

  <bone name="Bone062"/>
  <bone name="Bone063"/>
  <bone name="Bone064"/>
  <bone name="Bone065"/>
  <bone name="Bone066"/>
  <bone name="Bone067"/>
  <bone name="Bone068"/>
  <bone name="Bone069"/>
  
  <bone name="Bone071"/>
  <bone name="Bone072"/>
  <bone name="Bone073"/>
  <bone name="Bone074"/>
  <bone name="Bone075"/>
  <bone name="Bone076"/>
  <bone name="Bone077"/>
  <bone name="Bone078"/>
  
  -----------------下方袖子
  
  <bone name="Bone080"/>
  <bone name="Bone081"/>
  <bone name="Bone082"/>
  <bone name="Bone083"/>
  <bone name="Bone084"/>
  <bone name="Bone085"/>
  <bone name="Bone086"/>
  <bone name="Bone087"/>
  <bone name="Bone088"/>
  
  <bone name="Bone090"/>
  <bone name="Bone091"/>
  <bone name="Bone092"/>
  <bone name="Bone093"/>
  <bone name="Bone094"/>
  <bone name="Bone095"/>
  <bone name="Bone096"/>
  <bone name="Bone097"/>
  <bone name="Bone098"/>
	
	<generic-constraint-default>
		<frameInB>
			<basis x="0" y="0" z="0" w="1" />
			<origin x="0" y="0" z="0" />
		</frameInB>
		<useLinearReferenceFrameA>false</useLinearReferenceFrameA>
		<linearLowerLimit x="0" y="0" z="0" />
		<linearUpperLimit x="0" y="0" z="0" />
		<angularLowerLimit x="-0.15" y="-0.04" z="-0.17" />
		<angularUpperLimit x="0.15" y="0.4" z="0.17" />
		<linearStiffness x="0" y="0" z="0" />
		<angularStiffness x="0" y="0" z="0" />
		<linearDamping x="0" y="0" z="0" />
		<angularDamping x="0" y="0" z="0" />
		<linearEquilibrium x="0" y="0" z="0" />
		<angularEquilibrium x="0" y="0" z="0" />
	</generic-constraint-default>
  
  <generic-constraint bodyA="Bone002" bodyB ="Bone001"></generic-constraint>
  <generic-constraint bodyA="Bone012" bodyB ="Bone011"></generic-constraint>
  <generic-constraint bodyA="Bone022" bodyB ="Bone021"></generic-constraint>
  
  <generic-constraint bodyA="Bone003" bodyB ="Bone002"></generic-constraint>
  <generic-constraint bodyA="Bone013" bodyB ="Bone012"></generic-constraint>
  <generic-constraint bodyA="Bone023" bodyB ="Bone022"></generic-constraint>
  
  <generic-constraint bodyA="Bone004" bodyB ="Bone003"></generic-constraint>
  <generic-constraint bodyA="Bone014" bodyB ="Bone013"></generic-constraint>
  <generic-constraint bodyA="Bone024" bodyB ="Bone023"></generic-constraint>
  
  <generic-constraint bodyA="Bone005" bodyB ="Bone004"></generic-constraint>
  <generic-constraint bodyA="Bone015" bodyB ="Bone014"></generic-constraint>
  <generic-constraint bodyA="Bone025" bodyB ="Bone024"></generic-constraint>
  
  <generic-constraint bodyA="Bone006" bodyB ="Bone005"></generic-constraint>
  <generic-constraint bodyA="Bone016" bodyB ="Bone015"></generic-constraint>
  <generic-constraint bodyA="Bone026" bodyB ="Bone025"></generic-constraint>
  
  <generic-constraint bodyA="Bone007" bodyB ="Bone006"></generic-constraint>
  <generic-constraint bodyA="Bone017" bodyB ="Bone016"></generic-constraint>
  <generic-constraint bodyA="Bone027" bodyB ="Bone026"></generic-constraint>
  
  <generic-constraint bodyA="Bone008" bodyB ="Bone007"></generic-constraint>
  <generic-constraint bodyA="Bone018" bodyB ="Bone017"></generic-constraint>
  <generic-constraint bodyA="Bone028" bodyB ="Bone027"></generic-constraint>
  
  <generic-constraint bodyA="Bone009" bodyB ="Bone008"></generic-constraint>
  <generic-constraint bodyA="Bone019" bodyB ="Bone018"></generic-constraint>
  <generic-constraint bodyA="Bone029" bodyB ="Bone028"></generic-constraint>
  
  <generic-constraint bodyA="Bone010" bodyB ="Bone009"></generic-constraint>
  <generic-constraint bodyA="Bone020" bodyB ="Bone019"></generic-constraint>
  <generic-constraint bodyA="Bone030" bodyB ="Bone029"></generic-constraint>
  
  ----------------------
  
  
  <generic-constraint bodyA="Bone032" bodyB ="Bone031"></generic-constraint>
  <generic-constraint bodyA="Bone042" bodyB ="Bone041"></generic-constraint>
  <generic-constraint bodyA="Bone052" bodyB ="Bone051"></generic-constraint>
  
  <generic-constraint bodyA="Bone033" bodyB ="Bone032"></generic-constraint>
  <generic-constraint bodyA="Bone043" bodyB ="Bone042"></generic-constraint>
  <generic-constraint bodyA="Bone053" bodyB ="Bone052"></generic-constraint>
  
  <generic-constraint bodyA="Bone034" bodyB ="Bone033"></generic-constraint>
  <generic-constraint bodyA="Bone044" bodyB ="Bone043"></generic-constraint>
  <generic-constraint bodyA="Bone054" bodyB ="Bone053"></generic-constraint>
  
  <generic-constraint bodyA="Bone035" bodyB ="Bone034"></generic-constraint>
  <generic-constraint bodyA="Bone045" bodyB ="Bone044"></generic-constraint>
  <generic-constraint bodyA="Bone055" bodyB ="Bone054"></generic-constraint>
  
  <generic-constraint bodyA="Bone036" bodyB ="Bone035"></generic-constraint>
  <generic-constraint bodyA="Bone046" bodyB ="Bone045"></generic-constraint>
  <generic-constraint bodyA="Bone056" bodyB ="Bone055"></generic-constraint>
  
  <generic-constraint bodyA="Bone037" bodyB ="Bone036"></generic-constraint>
  <generic-constraint bodyA="Bone047" bodyB ="Bone046"></generic-constraint>
  <generic-constraint bodyA="Bone057" bodyB ="Bone056"></generic-constraint>
  
  <generic-constraint bodyA="Bone038" bodyB ="Bone037"></generic-constraint>
  <generic-constraint bodyA="Bone048" bodyB ="Bone047"></generic-constraint>
  <generic-constraint bodyA="Bone058" bodyB ="Bone057"></generic-constraint>
  
  <generic-constraint bodyA="Bone039" bodyB ="Bone038"></generic-constraint>
  <generic-constraint bodyA="Bone049" bodyB ="Bone048"></generic-constraint>
  <generic-constraint bodyA="Bone059" bodyB ="Bone058"></generic-constraint>
  
  <generic-constraint bodyA="Bone040" bodyB ="Bone039"></generic-constraint>
  <generic-constraint bodyA="Bone050" bodyB ="Bone049"></generic-constraint>
  <generic-constraint bodyA="Bone060" bodyB ="Bone059"></generic-constraint>
  
  ------------------下方侧摆
  
  <generic-constraint bodyA="Bone062" bodyB ="Bone061"></generic-constraint>
  <generic-constraint bodyA="Bone063" bodyB ="Bone062"></generic-constraint>
  <generic-constraint bodyA="Bone064" bodyB ="Bone063"></generic-constraint>
  <generic-constraint bodyA="Bone065" bodyB ="Bone064"></generic-constraint>
  <generic-constraint bodyA="Bone066" bodyB ="Bone065"></generic-constraint>
  <generic-constraint bodyA="Bone067" bodyB ="Bone066"></generic-constraint>
  <generic-constraint bodyA="Bone068" bodyB ="Bone067"></generic-constraint>
  <generic-constraint bodyA="Bone069" bodyB ="Bone068"></generic-constraint>

  <generic-constraint bodyA="Bone071" bodyB ="Bone070"></generic-constraint>
  <generic-constraint bodyA="Bone072" bodyB ="Bone071"></generic-constraint>
  <generic-constraint bodyA="Bone073" bodyB ="Bone072"></generic-constraint>
  <generic-constraint bodyA="Bone074" bodyB ="Bone073"></generic-constraint>
  <generic-constraint bodyA="Bone075" bodyB ="Bone074"></generic-constraint>
  <generic-constraint bodyA="Bone076" bodyB ="Bone075"></generic-constraint>
  <generic-constraint bodyA="Bone077" bodyB ="Bone076"></generic-constraint>
  <generic-constraint bodyA="Bone078" bodyB ="Bone077"></generic-constraint>
  
  -----------------下方袖子
  
  <generic-constraint bodyA="Bone080" bodyB ="Bone079"></generic-constraint>
  <generic-constraint bodyA="Bone081" bodyB ="Bone080"></generic-constraint>
  <generic-constraint bodyA="Bone082" bodyB ="Bone081"></generic-constraint>
  <generic-constraint bodyA="Bone083" bodyB ="Bone082"></generic-constraint>
  <generic-constraint bodyA="Bone084" bodyB ="Bone083"></generic-constraint>
  <generic-constraint bodyA="Bone085" bodyB ="Bone084"></generic-constraint>
  <generic-constraint bodyA="Bone086" bodyB ="Bone085"></generic-constraint>
  <generic-constraint bodyA="Bone087" bodyB ="Bone086"></generic-constraint>
  <generic-constraint bodyA="Bone088" bodyB ="Bone087"></generic-constraint>
  
  <generic-constraint bodyA="Bone090" bodyB ="Bone089"></generic-constraint>
  <generic-constraint bodyA="Bone091" bodyB ="Bone090"></generic-constraint>
  <generic-constraint bodyA="Bone092" bodyB ="Bone091"></generic-constraint>
  <generic-constraint bodyA="Bone093" bodyB ="Bone092"></generic-constraint>
  <generic-constraint bodyA="Bone094" bodyB ="Bone093"></generic-constraint>
  <generic-constraint bodyA="Bone095" bodyB ="Bone094"></generic-constraint>
  <generic-constraint bodyA="Bone096" bodyB ="Bone095"></generic-constraint>
  <generic-constraint bodyA="Bone097" bodyB ="Bone096"></generic-constraint>
  <generic-constraint bodyA="Bone098" bodyB ="Bone097"></generic-constraint>

  <generic-constraint-default>
    <frameInLerp>
			<translationLerp>0</translationLerp>
			<rotationLerp>0</rotationLerp>
    </frameInLerp>
	<linearLowerLimit x="-2" y="-2" z="-3"/>
    <linearUpperLimit x="7" y="7" z="3"/>
    <angularLowerLimit x="-10" y="-10" z="-10"/>
    <angularUpperLimit x="10" y="10" z="10"/>
	<linearStiffness x="0" y="0" z="0"/>
    <angularStiffness x="0" y="0" z="0"/>
  </generic-constraint-default>
  
  <generic-constraint bodyA="Bone012" bodyB ="Bone002"></generic-constraint>
  <generic-constraint bodyA="Bone013" bodyB ="Bone003"></generic-constraint>
  <generic-constraint bodyA="Bone014" bodyB ="Bone004"></generic-constraint>
  <generic-constraint bodyA="Bone015" bodyB ="Bone005"></generic-constraint>
  <generic-constraint bodyA="Bone016" bodyB ="Bone006"></generic-constraint>
  <generic-constraint bodyA="Bone017" bodyB ="Bone007"></generic-constraint>
  <generic-constraint bodyA="Bone018" bodyB ="Bone008"></generic-constraint>
  <generic-constraint bodyA="Bone019" bodyB ="Bone009"></generic-constraint>
  <generic-constraint bodyA="Bone020" bodyB ="Bone010"></generic-constraint>
  
  <generic-constraint bodyA="Bone022" bodyB ="Bone012"></generic-constraint>
  <generic-constraint bodyA="Bone023" bodyB ="Bone013"></generic-constraint>
  <generic-constraint bodyA="Bone024" bodyB ="Bone014"></generic-constraint>
  <generic-constraint bodyA="Bone025" bodyB ="Bone015"></generic-constraint>
  <generic-constraint bodyA="Bone026" bodyB ="Bone016"></generic-constraint>
  <generic-constraint bodyA="Bone027" bodyB ="Bone017"></generic-constraint>
  <generic-constraint bodyA="Bone028" bodyB ="Bone018"></generic-constraint>
  <generic-constraint bodyA="Bone029" bodyB ="Bone019"></generic-constraint>
  <generic-constraint bodyA="Bone030" bodyB ="Bone020"></generic-constraint>
  
  <generic-constraint bodyA="Bone042" bodyB ="Bone032"></generic-constraint>
  <generic-constraint bodyA="Bone043" bodyB ="Bone033"></generic-constraint>
  <generic-constraint bodyA="Bone044" bodyB ="Bone034"></generic-constraint>
  <generic-constraint bodyA="Bone045" bodyB ="Bone035"></generic-constraint>
  <generic-constraint bodyA="Bone046" bodyB ="Bone036"></generic-constraint>
  <generic-constraint bodyA="Bone047" bodyB ="Bone037"></generic-constraint>
  <generic-constraint bodyA="Bone048" bodyB ="Bone038"></generic-constraint>
  <generic-constraint bodyA="Bone049" bodyB ="Bone039"></generic-constraint>
  <generic-constraint bodyA="Bone050" bodyB ="Bone040"></generic-constraint>
  
  <generic-constraint bodyA="Bone052" bodyB ="Bone042"></generic-constraint>
  <generic-constraint bodyA="Bone053" bodyB ="Bone043"></generic-constraint>
  <generic-constraint bodyA="Bone054" bodyB ="Bone044"></generic-constraint>
  <generic-constraint bodyA="Bone055" bodyB ="Bone045"></generic-constraint>
  <generic-constraint bodyA="Bone056" bodyB ="Bone046"></generic-constraint>
  <generic-constraint bodyA="Bone057" bodyB ="Bone047"></generic-constraint>
  <generic-constraint bodyA="Bone058" bodyB ="Bone048"></generic-constraint>
  <generic-constraint bodyA="Bone059" bodyB ="Bone049"></generic-constraint>
  <generic-constraint bodyA="Bone060" bodyB ="Bone050"></generic-constraint>
  
  <per-vertex-shape name="dress">
    <margin>0.7</margin>
    <priority>-1</priority>
	<shared>private</shared>
    <tag>e3</tag>
		<no-collide-with-tag>hand</no-collide-with-tag>
		<can-collide-with-tag>e1</can-collide-with-tag>
		<can-collide-with-tag>e2</can-collide-with-tag>
		<no-collide-with-tag>cloth</no-collide-with-tag>
    <no-collide-with-bone>NPC L Forearm [LLar]</no-collide-with-bone>
    <no-collide-with-bone>NPC R Forearm [RLar]</no-collide-with-bone>
    <no-collide-with-bone>NPC L ForearmTwist1 [LLt1]</no-collide-with-bone>
    <no-collide-with-bone>NPC R ForearmTwist1 [RLt1]</no-collide-with-bone>
    <no-collide-with-bone>NPC L ForearmTwist2 [LLt2]</no-collide-with-bone>
    <no-collide-with-bone>NPC R ForearmTwist2 [RLt2]</no-collide-with-bone>
    <weight-threshold bone="NPC L Breast">1</weight-threshold>
    <weight-threshold bone="NPC R Breast">1</weight-threshold>
    <weight-threshold bone="NPC L Breast01">1</weight-threshold>
    <weight-threshold bone="NPC R Breast01">1</weight-threshold>
    <weight-threshold bone="NPC L Thigh [LThg]">1</weight-threshold>
    <weight-threshold bone="NPC R Thigh [RThg]">1</weight-threshold>
    <weight-threshold bone="NPC Spine [Spn0]">1</weight-threshold>
    <weight-threshold bone="NPC Spine1 [Spn1]">1</weight-threshold>
    <weight-threshold bone="NPC Spine2 [Spn2]">1</weight-threshold>
    <weight-threshold bone="NPC Pelvis [Pelv]">1</weight-threshold>
    <weight-threshold bone="NPC L Clavicle [LClv]">1</weight-threshold>
    <weight-threshold bone="NPC R Clavicle [RClv]">1</weight-threshold>
    <weight-threshold bone="NPC L Butt">1</weight-threshold>
    <weight-threshold bone="NPC R Butt">1</weight-threshold>
        <weight-threshold bone="Bone002">0.1</weight-threshold>
        <weight-threshold bone="Bone002">0.1</weight-threshold>
		<weight-threshold bone="Bone003">0.1</weight-threshold>
        <weight-threshold bone="Bone004">0.1</weight-threshold>
		<weight-threshold bone="Bone005">0.1</weight-threshold>
        <weight-threshold bone="Bone006">0.1</weight-threshold>
        <weight-threshold bone="Bone007">0.1</weight-threshold>
        <weight-threshold bone="Bone008">0.1</weight-threshold>
        <weight-threshold bone="Bone012">0.1</weight-threshold>
        <weight-threshold bone="Bone012">0.1</weight-threshold>
		<weight-threshold bone="Bone013">0.1</weight-threshold>
        <weight-threshold bone="Bone014">0.1</weight-threshold>
		<weight-threshold bone="Bone015">0.1</weight-threshold>
        <weight-threshold bone="Bone016">0.1</weight-threshold>
		<weight-threshold bone="Bone017">0.1</weight-threshold>
        <weight-threshold bone="Bone018">0.1</weight-threshold>
		<weight-threshold bone="Bone022">0.1</weight-threshold>
        <weight-threshold bone="Bone022">0.1</weight-threshold>
		<weight-threshold bone="Bone023">0.1</weight-threshold>
        <weight-threshold bone="Bone024">0.1</weight-threshold>
		<weight-threshold bone="Bone025">0.1</weight-threshold>
        <weight-threshold bone="Bone026">0.1</weight-threshold>
        <weight-threshold bone="Bone027">0.1</weight-threshold>
        <weight-threshold bone="Bone028">0.1</weight-threshold>
		<weight-threshold bone="Bone032">0.1</weight-threshold>
        <weight-threshold bone="Bone032">0.1</weight-threshold>
		<weight-threshold bone="Bone033">0.1</weight-threshold>
        <weight-threshold bone="Bone034">0.1</weight-threshold>
		<weight-threshold bone="Bone035">0.1</weight-threshold>
        <weight-threshold bone="Bone036">0.1</weight-threshold>
        <weight-threshold bone="Bone037">0.1</weight-threshold>
        <weight-threshold bone="Bone038">0.1</weight-threshold>
		<weight-threshold bone="Bone042">0.1</weight-threshold>
        <weight-threshold bone="Bone042">0.1</weight-threshold>
		<weight-threshold bone="Bone043">0.1</weight-threshold>
        <weight-threshold bone="Bone044">0.1</weight-threshold>
		<weight-threshold bone="Bone045">0.1</weight-threshold>
        <weight-threshold bone="Bone046">0.1</weight-threshold>
        <weight-threshold bone="Bone047">0.1</weight-threshold>
        <weight-threshold bone="Bone048">0.1</weight-threshold>
		<weight-threshold bone="Bone052">0.1</weight-threshold>
        <weight-threshold bone="Bone052">0.1</weight-threshold>
		<weight-threshold bone="Bone053">0.1</weight-threshold>
        <weight-threshold bone="Bone054">0.1</weight-threshold>
		<weight-threshold bone="Bone055">0.1</weight-threshold>
        <weight-threshold bone="Bone056">0.1</weight-threshold>
        <weight-threshold bone="Bone057">0.1</weight-threshold>
        <weight-threshold bone="Bone058">0.1</weight-threshold>
		<weight-threshold bone="Bone062">0.1</weight-threshold>
        <weight-threshold bone="Bone062">0.1</weight-threshold>
		<weight-threshold bone="Bone063">0.1</weight-threshold>
        <weight-threshold bone="Bone064">0.1</weight-threshold>
		<weight-threshold bone="Bone065">0.1</weight-threshold>
        <weight-threshold bone="Bone066">0.1</weight-threshold>
        <weight-threshold bone="Bone067">0.1</weight-threshold>
        <weight-threshold bone="Bone068">0.1</weight-threshold>
		<weight-threshold bone="Bone072">0.1</weight-threshold>
        <weight-threshold bone="Bone073">0.1</weight-threshold>
        <weight-threshold bone="Bone074">0.1</weight-threshold>
		<weight-threshold bone="Bone075">0.1</weight-threshold>
        <weight-threshold bone="Bone076">0.1</weight-threshold>
        <weight-threshold bone="Bone077">0.1</weight-threshold>
        <weight-threshold bone="Bone078">0.1</weight-threshold>
		<weight-threshold bone="Bone079">1</weight-threshold>
        <weight-threshold bone="Bone080">1</weight-threshold>
		<weight-threshold bone="Bone081">1</weight-threshold>
        <weight-threshold bone="Bone082">1</weight-threshold>
		<weight-threshold bone="Bone083">1</weight-threshold>
        <weight-threshold bone="Bone084">1</weight-threshold>
        <weight-threshold bone="Bone085">1</weight-threshold>
        <weight-threshold bone="Bone086">1</weight-threshold>
        <weight-threshold bone="Bone087">1</weight-threshold>
        <weight-threshold bone="Bone088">1</weight-threshold>
		<weight-threshold bone="Bone089">1</weight-threshold>
		<weight-threshold bone="Bone090">1</weight-threshold>
		<weight-threshold bone="Bone091">1</weight-threshold>
        <weight-threshold bone="Bone092">1</weight-threshold>
		<weight-threshold bone="Bone093">1</weight-threshold>
        <weight-threshold bone="Bone094">1</weight-threshold>
        <weight-threshold bone="Bone095">1</weight-threshold>
        <weight-threshold bone="Bone096">1</weight-threshold>
        <weight-threshold bone="Bone097">1</weight-threshold>
        <weight-threshold bone="Bone098">1</weight-threshold>
  </per-vertex-shape>

</system>